2017
2016
2015
2014
2013
2012
2011
2010
2009
2008
2007
2006
2005

Authentication Bypass in TYPO3 Frontend

February 28, 2017

Author: Nicole Cordes
Keywords: Authentication Bypass, Core

It has been discovered, that TYPO3 CMS is vulnerable to Authentication Bypass.

Component Type: TYPO3 CMS

Release Date: February 28, 2017

 

Vulnerable subcomponent: Frontend

Vulnerability Type: Authentication Bypass

Affected Versions: Versions 8.2.0 to 8.6.0

Severity: Medium

Suggested CVSS v2.0: AV:N/AC:L/Au:S/C:P/I:P/A:N/E:P/RL:O/RC:C

CVE: not assigned yet

Problem Description: Due to late TCA initialization the authentication service fails to restrict frontend user according to the validation rules. Therefore it is possible to authenticate restricted (e.g. disabled) frontend users.

Solution: Update to TYPO3 version 8.6.1 that fixes the problem described.

Credits: Thanks to Thomas Dahlke who discovered and reported the issue.

 

General Advice: Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

General Note: All security related code changes are tagged so that you can easily look them up on our review system.


Add comment

Please log in or sign up to comment.